Add Activity block to My Page
Status: Closed Start date: 2008-04-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

It's nice to be able to see the recent activity across all projects in which one might be involved.  This patch creates an addition block

for inclusion on My Page which extracts all the activity information for today and yesterday.

I would have liked to make the number of past days configurable, and also the types of activity (bugs, wiki, msg, news, etc) to be

included in the report configurable, but I saw no good way to do it.

The _activity.rhtml file goes in the ./app/views/my/blocks directory.

Related issues:

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Feature #2471: Add my activities to my page Closed 2009-01-08

Related to Redmine - Feature #18422: Why three "my page" type of pages? New

History

#1 - 2008-04-22 00:24 - W Snyder

+1 Nice, I'm going to use it on my site.

WRT showing two days; I'd like to see it do what the Moin Moin Wiki does; it has a button that says "Set Bookmark" this sets a date field in the user

record with the timestamp of the youngest message shown (not current time to prevent races), and the recent activity only shows activity younger

than that timestamp.  It also has a "show 1, 2, 3, 7, 14, 30, 60, 90 days" button that overrides that.

The bookmarking is really, really nice, because it works no matter how infrequently you check in, you see what you haven't seen before.  You can

also decide when you've absorbed the info.  I use it constantly, and have turned off emails on my MoinMoin accounts because it's so much nicer to

deal with it all at once.

If you don't get to adding bookmarks maybe I'll make a stab at it, but can't be soon.

#2 - 2008-04-28 14:40 - Sergej Jegorov

+1

#3 - 2008-06-11 06:35 - Anonymous

+1 from me too.

#4 - 2008-11-11 10:39 - Jean-Philippe Lang

- Target version deleted (0.8)

#5 - 2014-07-05 07:58 - Go MAEDA

Related to #2471("Add my activities to my page"). I posted a patch to add a My Page block which shows current user's activities on my page.

#6 - 2014-08-04 00:22 - Toshi MARUYAMA

- Related to Feature #2471: Add my activities to my page added

#7 - 2014-12-02 07:22 - Go MAEDA

- Related to Feature #18422: Why three "my page" type of pages? added

#8 - 2019-02-11 17:03 - Go MAEDA

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)
https://www.redmine.org/issues/2471


"My activities" block has been added in Redmine 4.0.0 (#2471).

Files

redmine-my-activity.patch 1.14 KB 2008-04-21 Carl Nygard

_activity.rhtml 4.32 KB 2008-04-21 Carl Nygard
